Skip to main content
`Ctrl`+`K`

# DMLabelGetNumValues

Get the number of values that the `DMLabel` takes

## Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelGetNumValues(DMLabel label, PetscInt *numValues)

Not Collective

## Input Parameter

- label - the `DMLabel`

## Output Parameter

- numValues - the number of values

## See Also

`DMLabel`, `DM`, `DMLabelCreate()`, `DMLabelGetValue()`, `DMLabelSetValue()`, `DMLabelClearValue()`

## Level

intermediate

## Location

src/dm/label/dmlabel.c

## Examples

src/dm/impls/plex/tutorials/ex8.c

Index of all DMLabel routines
Table of Contents for all manual pages
Index of all manual pages